# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsMercurial/LargefilesExtension/LfRevisionsInputDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_LfRevisionsInputDialog(object):
    def setupUi(self, LfRevisionsInputDialog):
        LfRevisionsInputDialog.setObjectName("LfRevisionsInputDialog")
        LfRevisionsInputDialog.resize(400, 300)
        LfRevisionsInputDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(LfRevisionsInputDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.label = QtWidgets.QLabel(parent=LfRevisionsInputDialog)
        self.label.setWordWrap(True)
        self.label.setObjectName("label")
        self.verticalLayout.addWidget(self.label)
        self.revisionsEdit = QtWidgets.QPlainTextEdit(parent=LfRevisionsInputDialog)
        self.revisionsEdit.setTabChangesFocus(True)
        self.revisionsEdit.setObjectName("revisionsEdit")
        self.verticalLayout.addWidget(self.revisionsEdit)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=LfRevisionsInputDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(LfRevisionsInputDialog)
        self.buttonBox.accepted.connect(LfRevisionsInputDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(LfRevisionsInputDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(LfRevisionsInputDialog)
        LfRevisionsInputDialog.setTabOrder(self.revisionsEdit, self.buttonBox)

    def retranslateUi(self, LfRevisionsInputDialog):
        _translate = QtCore.QCoreApplication.translate
        LfRevisionsInputDialog.setWindowTitle(_translate("LfRevisionsInputDialog", "Revisions Input"))
        self.label.setText(_translate("LfRevisionsInputDialog", "Enter revisions to pull large files for (one per line):"))
        self.revisionsEdit.setToolTip(_translate("LfRevisionsInputDialog", "Enter changesets by number, id, range or revset expression one per line"))
